---
title: PUT /tasks/{task_id}/assets/{asset_id}/drafts/{draft_id}/brand-compliance
slug: content-marketing-platform/api/put-taskstaskidassetsassetiddraftsdraftidbrand-compliance
docTags: 
createdAt: 2026-10-01T18:51:28.134Z
---

{
  "id": "Pxv-_SKNFRfarcd0HponM",
  "type": "api-oas-v2",
  "data": {
    "method": "PUT",
    "url": "https://api.cmp.optimizely.com/v3/tasks/{task_id}/assets/{asset_id}/drafts/{draft_id}/brand-compliance",
    "servers": [
      {
        "url": "https://api.cmp.optimizely.com/v3/tasks/{task_id}/assets/{asset_id}/drafts/{draft_id}/brand-compliance",
        "description": "v3 version of Optimizely CMP Open API"
      }
    ],
    "name": "PUT /tasks/{task_id}/assets/{asset_id}/drafts/{draft_id}/brand-compliance",
    "description": "<p>Experimental Update the brand compliance details of a draft of an asset of a task.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "task_id",
          "type": "string",
          "example": "5f857f30e1c4a2038d6179e9",
          "description": "Unique identifier of the task"
        },
        {
          "kind": "required",
          "name": "asset_id",
          "type": "string",
          "example": "5d7f910551b00a722e0418830cee6631",
          "description": "Unique identifier of the asset"
        },
        {
          "kind": "required",
          "name": "draft_id",
          "type": "string",
          "example": "latest",
          "examples": [
            {
              "label": "Set the value to \"latest\" to update the brand compliance details of the latest draft",
              "value": "latest"
            },
            {
              "label": "Set a unique identifier of a draft",
              "value": "6706efc7828cd6aaedbc0434139cd3e1"
            }
          ],
          "description": "<p>Unique identifier of the draft or <code>latest</code>. <code>latest</code> refers to the most recent draft of the asset within the task.</p>"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "Payload to update the brand compliance",
          "customType": "TaskAssetDraftBrandComplianceRequest",
          "schema": [
            {
              "name": "status",
              "kind": "required",
              "type": "string<approved | declined | not_reviewed>",
              "description": "Brand compliance status of the draft",
              "example": "approved",
              "enum": [
                "approved",
                "declined",
                "not_reviewed"
              ]
            },
            {
              "name": "categories",
              "kind": "required",
              "type": "array",
              "description": "List of compliance categories",
              "example": "",
              "itemType": "object",
              "customType": "object[]",
              "schema": [
                {
                  "name": "id",
                  "kind": "required",
                  "type": "string",
                  "description": "Unique identifier of the category",
                  "example": "66dd74f41a335b59cd98915b"
                },
                {
                  "name": "status",
                  "kind": "required",
                  "type": "string<compliant | not compliant | not applicable | >",
                  "nullable": true,
                  "description": "Brand compliance status of the category",
                  "example": "compliant",
                  "enum": [
                    "compliant",
                    "not compliant",
                    "not applicable",
                    "null"
                  ]
                },
                {
                  "name": "notes",
                  "kind": "required",
                  "type": "string",
                  "nullable": true,
                  "description": "Notes left by the reviewer for the category",
                  "example": "Look's good"
                },
                {
                  "name": "criteria",
                  "kind": "required",
                  "type": "array",
                  "description": "List of criteria",
                  "example": "",
                  "itemType": "object",
                  "customType": "object[]",
                  "schema": [
                    {
                      "name": "id",
                      "kind": "required",
                      "type": "string",
                      "description": "Unique identifier of the criterion",
                      "example": "66dd74f41a335b59cd98915c"
                    },
                    {
                      "name": "description",
                      "kind": "required",
                      "type": "string",
                      "nullable": true,
                      "description": "Description of the criterion",
                      "example": "For all CMYK, RGB and HTML breakdowns, please refer to the full Colour Policy guideline"
                    },
                    {
                      "name": "selected",
                      "kind": "required",
                      "type": "boolean",
                      "nullable": true,
                      "description": "Whether the criterion is selected or not",
                      "example": true
                    }
                  ]
                }
              ]
            }
          ],
          "modelRef": "#/components/schemas/TaskAssetDraftBrandComplianceRequest",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "OAuth2",
          "name": "OAuth2",
          "kind": "optional",
          "type": "oauth2",
          "oauth2Flows": {
            "clientCredentials": {
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {}
            },
            "authorizationCode": {
              "authorizationUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/auth",
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {
                "openid": "Grants the ability to receive a unique identifier for the user.",
                "profile": "Grants access to user profile information.",
                "offline_access": "Grants the ability to refresh access_token using the refresh token even when user is not present (not logged in)."
              }
            }
          },
          "requiredScopes": [
            "openid",
            "profile",
            "offline_access"
          ]
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Brand compliance details of the asset draft",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "TaskAssetDraftBrandComplianceResponse",
            "schema": [
              {
                "name": "status",
                "kind": "required",
                "type": "string<approved | declined | not_reviewed>",
                "description": "Brand compliance status of the draft",
                "example": "approved",
                "enum": [
                  "approved",
                  "declined",
                  "not_reviewed"
                ]
              },
              {
                "name": "reviewed_at",
                "kind": "required",
                "type": "string<date-time>",
                "nullable": true,
                "description": "<p>Date and time of when the draft was reviewed, in ISO 8601 UTC format</p>",
                "example": "2020-10-06T13:15:30Z",
                "format": "date-time"
              },
              {
                "name": "reviewed_by",
                "kind": "required",
                "type": "string",
                "nullable": true,
                "description": "Unique identifier of the user who reviewed the draft",
                "example": "66d837c62373533177b59db3"
              },
              {
                "name": "categories",
                "kind": "required",
                "type": "array",
                "description": "List of compliance categories",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "id",
                    "kind": "required",
                    "type": "string",
                    "description": "Unique identifier of the category",
                    "example": "66dd74f41a335b59cd98915b"
                  },
                  {
                    "name": "name",
                    "kind": "required",
                    "type": "string",
                    "description": "Name of the category",
                    "example": "Category-1"
                  },
                  {
                    "name": "status",
                    "kind": "required",
                    "type": "string<compliant | not compliant | not applicable | >",
                    "nullable": true,
                    "description": "Brand compliance status of the category",
                    "example": "compliant",
                    "enum": [
                      "compliant",
                      "not compliant",
                      "not applicable",
                      "null"
                    ]
                  },
                  {
                    "name": "notes",
                    "kind": "required",
                    "type": "string",
                    "nullable": true,
                    "description": "Notes left by the reviewer for the category",
                    "example": "Look's good"
                  },
                  {
                    "name": "criteria",
                    "kind": "required",
                    "type": "array",
                    "description": "List of criteria",
                    "example": "",
                    "itemType": "object",
                    "customType": "object[]",
                    "schema": [
                      {
                        "name": "id",
                        "kind": "required",
                        "type": "string",
                        "description": "Unique identifier of the criterion",
                        "example": "66dd74f41a335b59cd98915c"
                      },
                      {
                        "name": "name",
                        "kind": "required",
                        "type": "string",
                        "description": "Name of the criterion",
                        "example": "Sub-category-1A"
                      },
                      {
                        "name": "description",
                        "kind": "required",
                        "type": "string",
                        "nullable": true,
                        "description": "Description of the criterion",
                        "example": "For all CMYK, RGB and HTML breakdowns, please refer to the full Colour Policy guideline"
                      },
                      {
                        "name": "selected",
                        "kind": "required",
                        "type": "boolean",
                        "nullable": true,
                        "description": "Whether the criterion is selected or not",
                        "example": true
                      }
                    ]
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/TaskAssetDraftBrandComplianceResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Client error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"Unsupported arguments: a,b,c\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Authorization error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"Unauthorized\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Not found error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"Resource not found\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "GA02-875hFwlxF0jZHHBx",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request PUT \\\n     --url https://api.cmp.optimizely.com/v3/tasks/{task_id}/assets/{asset_id}/drafts/{draft_id}/brand-compliance \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"status\": \"approved\",\n     \"categories\": [\n     {\n     \"id\": \"66dd74f41a335b59cd98915b\",\n     \"status\": \"compliant\",\n     \"notes\": \"Look'\\''s good\",\n     \"criteria\": [\n     {\n     \"id\": \"66dd74f41a335b59cd98915c\",\n     \"description\": \"For all CMYK, RGB and HTML breakdowns, please refer to the full Colour Policy guideline\",\n     \"selected\": true\n     }\n     ]\n     }\n     ]\n     }'"
        },
        {
          "id": "s1HWZ9KwgJROneozf5N9f",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"status\": \"approved\",\n   \"categories\": [\n      {\n         \"id\": \"66dd74f41a335b59cd98915b\",\n         \"status\": \"compliant\",\n         \"notes\": \"Look's good\",\n         \"criteria\": [\n            {\n               \"id\": \"66dd74f41a335b59cd98915c\",\n               \"description\": \"For all CMYK, RGB and HTML breakdowns, please refer to the full Colour Policy guideline\",\n               \"selected\": true\n            }\n         ]\n      }\n   ]\n});\n\nvar requestOptions = {\n   method: 'PUT',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.cmp.optimizely.com/v3/tasks/{task_id}/assets/{asset_id}/drafts/{draft_id}/brand-compliance\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "8-22hh4D63YMEv-RxMKcl",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.cmp.optimizely.com/v3/tasks/{task_id}/assets/{asset_id}/drafts/{draft_id}/brand-compliance\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Put.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"status\": \"approved\",\n   \"categories\": [\n      {\n         \"id\": \"66dd74f41a335b59cd98915b\",\n         \"status\": \"compliant\",\n         \"notes\": \"Look's good\",\n         \"criteria\": [\n            {\n               \"id\": \"66dd74f41a335b59cd98915c\",\n               \"description\": \"For all CMYK, RGB and HTML breakdowns, please refer to the full Colour Policy guideline\",\n               \"selected\": true\n            }\n         ]\n      }\n   ]\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "jeRvEJX43yivfISVRNjll",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.cmp.optimizely.com/v3/tasks/{task_id}/assets/{asset_id}/drafts/{draft_id}/brand-compliance\"\n\npayload = json.dumps({\n   \"status\": \"approved\",\n   \"categories\": [\n      {\n         \"id\": \"66dd74f41a335b59cd98915b\",\n         \"status\": \"compliant\",\n         \"notes\": \"Look's good\",\n         \"criteria\": [\n            {\n               \"id\": \"66dd74f41a335b59cd98915c\",\n               \"description\": \"For all CMYK, RGB and HTML breakdowns, please refer to the full Colour Policy guideline\",\n               \"selected\": True\n            }\n         ]\n      }\n   ]\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"PUT\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "GA02-875hFwlxF0jZHHBx"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Brand compliance details of the asset draft\n{\n  \"status\": \"approved\",\n  \"reviewed_at\": \"2020-10-06T13:15:30Z\",\n  \"reviewed_by\": \"66d837c62373533177b59db3\",\n  \"categories\": [\n    {\n      \"id\": \"66dd74f41a335b59cd98915b\",\n      \"name\": \"Category-1\",\n      \"status\": \"compliant\",\n      \"notes\": \"Look's good\",\n      \"criteria\": [\n        {\n          \"id\": \"66dd74f41a335b59cd98915c\",\n          \"name\": \"Sub-category-1A\",\n          \"description\": \"For all CMYK, RGB and HTML breakdowns, please refer to the full Colour Policy guideline\",\n          \"selected\": true\n        }\n      ]\n    }\n  ]\n}"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Client error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        },
        {
          "id": "response-2-401",
          "language": "401",
          "code": "// Authorization error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        },
        {
          "id": "response-3-404",
          "language": "404",
          "code": "// Not found error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}